#include "stdlib.h"
#include "signal.h"
#include "commend.h"
#include "prot_mcu.h"
#include "prot_uc.h"
#include "transmit.h"
#include "tran_for_broadcast.h"
#include "tran_for_coder.h"
#include "tran_for_slave.h"






void cmd_reply_signal(void *obj,uint8_t cmd,array_def *data)
{
  uint32_t param[2];
  param[0]=(uint32_t)cmd;
  param[1]=(uint32_t)data;
  _signal_emit(obj,cmd_reply_signal,param,2);
}
signal_export(cmd_reply_signal);







void protm_recv_signal(void *obj,uint8_t src,uint8_t cmd,array_def *data,char *err_str)
{
  uint32_t param[4];
  param[0]=(uint32_t)src;
  param[1]=(uint32_t)cmd;
  param[2]=(uint32_t)data;
  param[3]=(uint32_t)err_str;
  _signal_emit(obj,protm_recv_signal,param,4);
}
signal_export(protm_recv_signal);







void protu_recv_signal(void *obj,const char *codec_name,uint8_t cmd,array_def *data,char *err_str)
{
  uint32_t param[4];
  param[0]=(uint32_t)codec_name;
  param[1]=(uint32_t)cmd;
  param[2]=(uint32_t)data;
  param[3]=(uint32_t)err_str;
  _signal_emit(obj,protu_recv_signal,param,4);
}
signal_export(protu_recv_signal);







void tran_reply_signal(tran_def *p,array_def *data)
{
  uint32_t param[1];
  param[0]=(uint32_t)data;
  _signal_emit(p,tran_reply_signal,param,1);
}
signal_export(tran_reply_signal);







void tran_send_signal(tran_def *p,uint8_t cmd,array_def *data)
{
  uint32_t param[2];
  param[0]=(uint32_t)cmd;
  param[1]=(uint32_t)data;
  _signal_emit(p,tran_send_signal,param,2);
}
signal_export(tran_send_signal);







void code2_end_signal(void *obj,int ack,array_def *data)
{
  uint32_t param[2];
  param[0]=(uint32_t)ack;
  param[1]=(uint32_t)data;
  _signal_emit(obj,code2_end_signal,param,2);
}
signal_export(code2_end_signal);







void code2_start_signal(void *obj)
{
  _signal_emit(obj,code2_start_signal,0,0);
}
signal_export(code2_start_signal);







